Bug 220635 - Review Request: livecd-tools - Tools for creating Live CD's
Review Request: livecd-tools - Tools for creating Live CD's
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-22 12:46 EST by David Zeuthen
Modified: 2013-03-05 22:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 16:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2006-12-22 12:46:37 EST
Spec URL: http://people.redhat.com/davidz/livecd/spec/livecd-tools.spec
SRPM URL: http://people.redhat.com/davidz/livecd/src/livecd-tools-001-1.src.rpm 
Description: Tools for generating live CD's on Fedora based systems including
derived distributions such as RHEL, CentOS and others. See
http://fedoraproject.org/wiki/FedoraLiveCD for more details.
Comment 1 Chitlesh GOORAH 2006-12-22 18:23:50 EST
#1: Rpmlint's output isn't clean

chitlesh(SPECS)[0]$rpmlint
/home/chitlesh/rpmbuild/RPMS/i386/livecd-tools-001-1.i386.rpm
E: livecd-tools statically-linked-binary /usr/lib/livecd-creator/run-init
chitlesh(SPECS)[0]$rpmlint
/home/chitlesh/rpmbuild/RPMS/i386/livecd-tools-debuginfo-001-1.i386.rpm
E: livecd-tools-debuginfo empty-debuginfo-package

#2: Parallel build is missing

#3: BuildRoot tag should be fixed according to FE guidelines
Comment 2 Michał Bentkowski 2006-12-25 13:07:31 EST
It fails to build on x86_64:
    Nie znaleziono pliku: /var/tmp/livecd-tools-001-1-root/usr/lib64/livecd-
creator/mayflower
    Nie znaleziono pliku: /var/tmp/livecd-tools-001-1-root/usr/lib64/livecd-
creator/run-init
"Nie znaleziono pliku": "File not found"
Comment 3 Frank Büttner 2007-01-04 05:47:33 EST
Are any plains when it will be added to the repo?
Comment 4 David Zeuthen 2007-01-04 11:53:31 EST
In response to comment 1:
Re #1: That binary indeed needs to be statically linked because that is what is
needed when transitioning from initramfs to the rootfs. It's no different than nash.
Re #2: Please clarify; I'm not sure what "Parallel build" means
Re #3: Will look up BuildRoot tag in FE guidelines and fix.

In response to comment 2:
Will probably be ExclusiveArch: i386 initially; am planning to add x86-64
support real soon. And at some point also ppc support. It's just not trivial to
support other arches due to the very nature of 

Thanks a bunch for the comments so far.
Comment 5 Rahul Sundaram 2007-01-07 11:20:27 EST
(In reply to comment #3)
> Are any plains when it will be added to the repo?

This package is currently under review. It will be added to the repository as
soon as the review is complete. If you want it to reach the repository faster,
help review it. 
Comment 6 Rex Dieter 2007-01-09 11:09:59 EST
I can review this within the next day or 2 (if no one gets to it first in the 
meantime)
Comment 7 Rex Dieter 2007-01-19 09:06:01 EST
First pass:

MUST: package creates a useless -debuginfo package.  I'd recommend adding to
specfile something like:
# note: includes a single statically-linked, stripped binary, 
# -debuginfo is pointless here
%define debug_package   %{nil}

I'm doing a test run of 
livecd ... --package=fedora-livecd-desktop
If all goes well, we'll be close to package approval.
Comment 8 Rex Dieter 2007-03-01 11:41:42 EST
Looks good, test run succeeded.  APPROVED.  I'll trust you'll add the debuginfo
bit after import.
Comment 9 Jeremy Katz 2007-03-22 17:20:21 EDT
Okay, there have been a lot of changes to the livecd-tools so I think it's worth
getting the spec another look over before we actually import it.

http://people.redhat.com/~katzj/review/livecd-tools/livecd-tools.spec
http://people.redhat.com/~katzj/review/livecd-tools/livecd-tools-002-1.src.rpm

The big change is that it's now a noarch package.   rpmlint output:
[katzj@erebor livecd]$ rpmlint
/home/katzj/src/rpm/SRPMS/livecd-tools-002-1.src.rpm
/home/katzj/src/rpm/RPMS/noarch/livecd-tools-002-1.noarch.rpm
E: livecd-tools hardcoded-library-path in /usr/lib/livecd-creator
E: livecd-tools hardcoded-library-path in /usr/lib/livecd-creator/mayflower

These are correct now that we're noarch.

E: livecd-tools only-non-binary-in-usr-lib

Not a binary, but it needs to be executable.  We could conceivably move it to
/usr/share and chmod when we copy it into the live root if really needed, though
Comment 10 Rex Dieter 2007-03-23 09:20:32 EDT
Good stuff (still), APPROVED.

When/if you get round-tuit:

* maybe(?)/SHOULD include a better URL, like
URL:  http://fedoraproject.org/wiki/FedoraLiveCD
until something better comes along.
Comment 11 Jeremy Katz 2007-03-23 13:47:01 EDT
New Package CVS Request
=======================
Package Name: livecd-tools
Short Description: Tools for building live CD's
Owners: davidz@redhat.com,katzj@redhat.com
Branches: devel
InitialCC:

Comment 12 Jeremy Katz 2007-03-23 15:43:38 EDT
Committed and built for devel
Comment 13 David Woodhouse 2007-04-24 18:59:22 EDT
Package fails review guidelines. A bug must be filed for any use of ExcludeArch,
and placed on the appropriate ExcludeArch tracker bug for Extras.

Please file an appropriate bug, outlining what needs to be done to fix the
problem. Presumably it's as trivial as just making the output bootable with yaboot?
Comment 14 David Woodhouse 2007-04-26 04:43:39 EDT
(In reply to comment #4)
> Will probably be ExclusiveArch: i386 initially; am planning to add x86-64
> support real soon. And at some point also ppc support. It's just not trivial to
> support other arches due to the very nature of 

That unfinished sentence sounds like a promising start to something that should
be noted in the ExcludeArch bug, pointing people at what needs to be done :)

Looks like all that needs to be done is make it bootable (and not require
syslinux). I can probably come up with a patch with the basic mechanisms, which
makes it work for _only_ PPC. Making it generically DTRT on each arch is going
to take more python-fu than I have. Do you want to do that part first, giving me
empty stubs of ppc functions to fill in?
Comment 15 David Zeuthen 2007-04-26 10:56:17 EDT
(In reply to comment #14)

Support for other archs/machine types we (need to consider more than just the
arch) is of course welcome. But this bug is not the right place to discuss that;
that needs to happen on the livecd list

 http://www.redhat.com/mailman/listinfo/fedora-livecd-list

I have a Powerbook G4 12" and I'd be more than happy to help out testing the ppc
bits there...
Comment 16 David Woodhouse 2007-04-27 19:19:34 EDT
(In reply to comment #15)
> (In reply to comment #14)
> 
> Support for other archs/machine types we (need to consider more than just the
> arch) is of course welcome. But this bug is not the right place to discuss 
> that

Indeed. Fedora package review says there MUST be a separate bug for the
existence of the ExcludeArch: in the specfile. And that bug must be on the
FE-ExcludeArch tracker for the architecture(s) which are excluded.

> I have a Powerbook G4 12" and I'd be more than happy to help out testing the ppc
> bits there...

The basics are in http://git.infradead.org/?p=users/dwmw2/livecd-ppc.git

Obviously it needs to be abstracted a little to work for _both_ ppc and x86.

We could also do with being able to install the 64-bit and 32-bit kernels at the
same time, so that we can boot on all hardware. It seems silly to make a 'ppc64
livecd' which has all the same userspace as the ppc32 version, but just a
different kernel.
Comment 17 David Woodhouse 2007-04-28 21:28:55 EDT
What's in the git tree should work for both x86 and ppc now, although it still
needs a few things fixed for CHRP, and we need to work out how to include the
64-bit kernel. Seems rather unnecessary to have a whole separate ppc64 livecd
when only the kernel would be different.
Comment 18 Rahul Sundaram 2008-01-26 16:58:48 EST
Package Change Request
=======================
Package Name: livecd-tools
Short Description: Tools for building live CD's
Owners: sundaram
Branches: EL-5
InitialCC: katzj@redhat.com, markmc@redhat.com
Comment 19 Kevin Fenzi 2008-01-27 14:18:10 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.